Package org.springframework.batch.support

# Class PropertiesConverter

java.lang.Object
org.springframework.batch.support.PropertiesConverter

public final class PropertiesConverter extends Object
Utility to convert a Properties object to a String and back. Ideally this utility should have been used to convert to string in order to convert that string back to a Properties Object. Attempting to convert a string obtained by calling Properties.toString() will return an invalid Properties object. The format of Properties is that used by `PropertiesPersister` from the Spring Core, so a String in the correct format for a Spring property editor is fine (key=value pairs separated by new lines).

Author:
  Lucas Ward, Dave Syer
See Also:
  - `PropertiesPersister`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `propertiesToString(Properties propertiesToParse)`
  Convert Properties object to String.
  `static Properties`
  `stringToProperties(String stringToParse)`
  Parse a String to a Properties object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### stringToProperties

    public static Properties stringToProperties(String stringToParse)
    Parse a String to a Properties object. If string is null, an empty Properties object will be returned. The input String is a set of name=value pairs, delimited by either newline or comma (for brevity). If the input String contains a newline it is assumed that the separator is newline, otherwise comma.
    Parameters:
      `stringToParse` - String to parse.
    Returns:
      Properties parsed from each string.
    See Also:
      - `PropertiesPersister`

  - ### propertiesToString

    public static String propertiesToString(Properties propertiesToParse)
    Convert Properties object to String. This is only necessary for compatibility with converting the String back to a properties object. If an empty properties object is passed in, a blank string is returned, otherwise it's string representation is returned.
    Parameters:
      `propertiesToParse` - contains the properties be converted.
    Returns:
      String representation of properties object